package com.izouma.awesomeadmin.model;

import java.math.BigDecimal;
import java.util.*;
import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonInclude;


@JsonAutoDetect
@JsonInclude(JsonInclude.Include.NON_NULL)
public class AlipayTemp{
    private Integer id;
    private String delFlag;
    private Date updateTime;
    private String updateUser;
    private Date createTime;
    private String createUser;
    private String orderId;
    private String tradeStatus;
    private BigDecimal totalAmount;
    private String outTradeNo;
    private String refundNo;
    private BigDecimal refundAmount;
    private Integer typeFlag;
    private BigDecimal coin;
    private BigDecimal point;
    private BigDecimal cash;

private String searchKey;

/**
* and,test_name,like,value;or,remark,=,123
*/
private String advancedQuery;

/**
* column_name_,desc_;column_name_,asc
*/
private String orderByStr;

    public Integer getId(){
        return this.id;
    }

    public void setId(Integer id){
        this.id = id;
    }
    public String getDelFlag(){
        return this.delFlag;
    }

    public void setDelFlag(String delFlag){
        this.delFlag = delFlag;
    }
    public Date getUpdateTime(){
        return this.updateTime;
    }

    public void setUpdateTime(Date updateTime){
        this.updateTime = updateTime;
    }
    public String getUpdateUser(){
        return this.updateUser;
    }

    public void setUpdateUser(String updateUser){
        this.updateUser = updateUser;
    }
    public Date getCreateTime(){
        return this.createTime;
    }

    public void setCreateTime(Date createTime){
        this.createTime = createTime;
    }
    public String getCreateUser(){
        return this.createUser;
    }

    public void setCreateUser(String createUser){
        this.createUser = createUser;
    }
    public String getOrderId(){
        return this.orderId;
    }

    public void setOrderId(String orderId){
        this.orderId = orderId;
    }
    public String getTradeStatus(){
        return this.tradeStatus;
    }

    public void setTradeStatus(String tradeStatus){
        this.tradeStatus = tradeStatus;
    }
    public BigDecimal getTotalAmount(){
        return this.totalAmount;
    }

    public void setTotalAmount(BigDecimal totalAmount){
        this.totalAmount = totalAmount;
    }
    public String getOutTradeNo(){
        return this.outTradeNo;
    }

    public void setOutTradeNo(String outTradeNo){
        this.outTradeNo = outTradeNo;
    }
    public String getRefundNo(){
        return this.refundNo;
    }

    public void setRefundNo(String refundNo){
        this.refundNo = refundNo;
    }
    public BigDecimal getRefundAmount(){
        return this.refundAmount;
    }

    public void setRefundAmount(BigDecimal refundAmount){
        this.refundAmount = refundAmount;
    }
    public Integer getTypeFlag(){
        return this.typeFlag;
    }

    public void setTypeFlag(Integer typeFlag){
        this.typeFlag = typeFlag;
    }
    public BigDecimal getCoin(){
        return this.coin;
    }

    public void setCoin(BigDecimal coin){
        this.coin = coin;
    }
    public BigDecimal getPoint(){
        return this.point;
    }

    public void setPoint(BigDecimal point){
        this.point = point;
    }
    public BigDecimal getCash(){
        return this.cash;
    }

    public void setCash(BigDecimal cash){
        this.cash = cash;
    }

public String getSearchKey() {
    return searchKey;
}

public void setSearchKey(String searchKey) {
    this.searchKey = searchKey;
}

public String getAdvancedQuery() {
    return advancedQuery;
}

public void setAdvancedQuery(String advancedQuery) {
    this.advancedQuery = advancedQuery;
}

public String getOrderByStr() {
    return orderByStr;
}

public void setOrderByStr(String orderByStr) {
    this.orderByStr = orderByStr;
}

}

